Subject: RE: CVS_RSH (solved)
From: Peter Kennard <[email-masked]>
To: "Harig, Mark A." <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 11 Oct 2001 08:39:55 -0700

Thanks,

Problem solved. It was a command in my .bashrc on the server that failed 
only when it was in non-interactive startup.  And because of the way the 
startup is executed it ended the ssh pipe.

Thanks for all your time.  If someone wants this written up for a FAQ I 
will be glad to help out. Though this is more of a CVS or Linux circumstance.

BTW I'm very happy I finally bit the bullet and upgraded beyond cygwin_b20 !!!

Peter K

At 10:57 AM 10/11/2001 -0400, Harig, Mark A. wrote:
>To troubleshoot this, try to simplify the problem by eliminating Cygwin
>from the loop:
>
>    1) Login to your CVS server:
>
>        <my_pc>$ ssh -l <my_login_id> <my_cvs_server>
>
>    2) Set your CVSROOT and CVS_RSH environment variables on your CVS
>server at its shell prompt:
>
>        <my_cvs_server>$
>CVSROOT=:ext:<my_login_id>@<my_cvs_server>:/path/to/cvs/repos
>        <my_cvs_server>$ export CVSROOT
>        <my_cvs_server>$ CVS_RSH=/path/to/ssh
>        <my_cvs_server>$ export CVS_RSH
>        <my_cvs_server>$ cvs -t status <my_cvs_module>
>
>If the problem is still occurring on your CVS server, it might help to
>point to where the problem is coming from.  The fact that you were able
>to use the :pserver: access method makes me think that you are setting
>up CVS to be confused between using the 'pserver' access method and
>using the 'rsh' access method.  You shouldn't be mixing the two methods.
>
>Good luck!
>
>-----Original Message-----
>From: Peter Kennard [mailto:[email-masked]]
>Sent: Wednesday, October 10, 2001 6:01 PM
>To: Harig, Mark A.
>Cc: [email-masked]
>Subject: RE: CVS_RSH
>
>
>I thank you all for your help.  I still don't know what is happening.
>But
>it doesn't look like a cygwin problem.
>
>On my server (a new debian install with a plain vanilla cvs install from
>
>it's distribution) OpenSSHD
>
>I can do a cvs login with a :pserver: cvs root (to the local subnet
>interface)
>and do all CVS operation this way.
>
>I can ssh login to any interface on the server from my wincvs box
>
>If I
>export CVS_RSH=ssh
>export CVSROOT=:ext:me@address:/repository
>export WINCVS=binmode
>
>I do "cvs -t checkout module"
>I then enter the password to ssh,
>    ->cvs entering main loop (from trace)
>then I get a cvs server "unexpected end of file"
>
>None of the system logs are altered by this other tha auth.log which
>idicates a succesful ssh login.
>
>
>At 03:45 PM 10/10/2001 -0400, Harig, Mark A. wrote:
> >You can help yourself with your debugging if you use the '-t' (trace)
> >CVS command option.  For example,
> >
> >    $ cvs -t status /my/cvs/file
> >
> >Also, don't forget to export the CVSROOT and CVS_RSH variables:
> >
> >    $ CVSROOT=:ext:<user ID>@<cvs server>:/path/to/repository
> >    $ export CVSROOT
> >    $ CVS_RSH=/usr/bin/ssh
> >    $ export CVS_RSH
> >
> >Good luck!
> >
> >-----Original Message-----
> >From: Peter Kennard [mailto:[email-masked]]
> >Sent: Wednesday, October 10, 2001 10:24 AM
> >To: [email-masked]; [email-masked]
> >Subject: RE: CVS_RSH
> >
> >
> >I got it I think - seems to be a permissions problem on the server.
> >If I log in as root it works to checkout the module.  I get an "end of
> >file" error from cvs as my lowly user. I still have to untangle it :)
> >
> >Thanks though

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/